Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001433 [1003.1(2016/18)/Issue7+TC2] Shell and Utilities Editorial Clarification Requested 2020-12-12 00:16 2021-03-19 11:35
Reporter andras_farkas View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Interpretation Required  
Name Andras Farkas
Organization
User Reference
Section pr
Page Number
Line Number
Interp Status Proposed
Final Accepted Text Note: 0005282
Summary 0001433: The use of carriage-return in pr
Description On
https://pubs.opengroup.org/onlinepubs/9699919799/utilities/pr.html [^]
I see that -p waits for <carriage-return>.

Is this intentional?

I see that OpenSolaris (System V), Unix 10th edition, FreeBSD, and NetBSD pr wait for <newline> ('\n') and not <carriage-return>. I did not find an implementation which waits for <carriage-return>. Also, in grepping the entire POSIX standard for carriage-return and \r I find very few uses of it, while uses of <newline> for user input are universal.
Desired Action Figure out whether pr should truly wait for <carriage-return> or not.
Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0005282)
Don Cragun (manager)
2021-03-18 15:41

Interpretation response
------------------------
The standard states thar pr waits for <carriage-return>, and conforming implementations must conform to this. However, concerns have been raised about this which are being referred to the sponsor.

Rationale:
-------------
This is not the way any implementation works and conflicts with similar requirements for other utilities.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------

On page 3108 line 103918 section pr, change:
<carriage-return>
to:
<newline>
(0005288)
agadmin (administrator)
2021-03-19 11:35

Interpretation proposed: 19 March 2021

- Issue History
Date Modified Username Field Change
2020-12-12 00:16 andras_farkas New Issue
2020-12-12 00:16 andras_farkas Name => Andras Farkas
2020-12-12 00:16 andras_farkas Section => pr
2021-03-18 15:41 Don Cragun Interp Status => ---
2021-03-18 15:41 Don Cragun Note Added: 0005282
2021-03-18 15:41 Don Cragun Status New => Interpretation Required
2021-03-18 15:41 Don Cragun Resolution Open => Accepted As Marked
2021-03-18 15:41 Don Cragun Final Accepted Text => See bugnote 5282.
2021-03-18 15:42 Don Cragun Tag Attached: tc3-2008
2021-03-18 15:42 Don Cragun Interp Status --- => Pending
2021-03-19 11:35 agadmin Interp Status Pending => Proposed
2021-03-19 11:35 agadmin Final Accepted Text See bugnote 5282. => Note: 0005282
2021-03-19 11:35 agadmin Note Added: 0005288


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker